WP6CharacterGroup_TableColumnSubGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup_TableColumnSubGroup:

## Public Member Functions

| WP6CharacterGroup_TableColumnSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes

unsigned char | m_flags
unsigned short | m_width
unsigned short | m_leftGutter
unsigned short | m_rightGutter
unsigned | m_attributes
unsigned char | m_alignment
unsigned short | m_absPosFromRight
unsigned short | m_numberType
unsigned char | m_currencyIndex

## Constructor & Destructor Documentation

## WP6CharacterGroup_TableColumnSubGroup()

WP6CharacterGroup_TableColumnSubGroup::WP6CharacterGroup_TableColumnSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

## Member Function Documentation

## parse()

void WP6CharacterGroup_TableColumnSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs ) const

override virtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## m_absPosFromRight

unsigned short WP6CharacterGroup_TableColumnSubGroup::m_absPosFromRight

private

Referenced by WP6CharacterGroup_TableColumnSubGroup().

## m_alignment

unsigned char WP6CharacterGroup_TableColumnSubGroup::m_alignment

private

Referenced by parse(), and WP6CharacterGroup_TableColumnSubGroup().

## m_attributes

unsigned WP6CharacterGroup_TableColumnSubGroup::m_attributes

private

Referenced by parse(), and WP6CharacterGroup_TableColumnSubGroup().

## m_currencyIndex

unsigned char WP6CharacterGroup_TableColumnSubGroup::m_currencyIndex

private

Referenced by WP6CharacterGroup_TableColumnSubGroup().

## m_flags

unsigned char WP6CharacterGroup_TableColumnSubGroup::m_flags

private

Referenced by WP6CharacterGroup_TableColumnSubGroup().

## m_leftGutter

unsigned short WP6CharacterGroup_TableColumnSubGroup::m_leftGutter

private

Referenced by parse(), and WP6CharacterGroup_TableColumnSubGroup().

## m_numberType

unsigned short WP6CharacterGroup_TableColumnSubGroup::m_numberType

private

Referenced by WP6CharacterGroup_TableColumnSubGroup().

## m_rightGutter

unsigned short WP6CharacterGroup_TableColumnSubGroup::m_rightGutter

private

Referenced by parse(), and WP6CharacterGroup_TableColumnSubGroup().

## m_width

unsigned short WP6CharacterGroup_TableColumnSubGroup::m_width

private

Referenced by parse(), and WP6CharacterGroup_TableColumnSubGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp